Subject: Re: [mif] Five additional problem statements for mif----Source address selection for IPv4

From: Min Hui <[email-masked]>
Date: Wed, 18 Mar 2009 11:53:55 +0800

Hi, all

This is the fourth one: Source address selection for IPv4

For the host has more than one IP addresses which are obtained by
multiple interfaces, the source address selection is the key issue in
order to use multiple interfaces reasonably. The application needs to
select right source address so that the data will be delivered by the
corresponding interface. The problem is this mechanism is lack
currently, and it needs to be solved in multiple interfaces situation.

- Hui Min

2009/3/18 Min Hui <[email-masked]>:
> Hi, all mif fans
>
> I have viewed the agenda of mif bof, and I notice some problem
> statements for mif are not concluded in the current ps documents which
> will be discussed in the meeting.
> So I post these additional problems in the mail list for discussion,
> all of them come from the draft
> "draft-hui-ip-multiple-connections-ps-02" with some modifications
> according to the comments received recently.
> There are five problems in addition, which will be proposed in five
> separated mails in order to have sufficient discussion for each of
> them.
> Five mails will be sent out following this mail, the structure is:
> 1. Host routing
> 2. DNS selection
> 3. Different metric measurements
> 4. Source address selection for IPv4
> 5. TOS consideration
>
> Any comment is welcomed, and thanks for your notice.
>
> BR,
> - Hui Min
>